Skip to main content
GET
Get a data source

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Data source ID

Response

Data source found

id
string

Unique identifier for the data source

Example:

"ds_abc123xyz789"

name
string

Name of the data source

Example:

"Annual Report 2023"

type
enum<string>

Type of the data source

Available options:
file,
ticket
Example:

"file"

status
enum<string>

Current status of the data source

Available options:
processing,
processed
Example:

"processed"

notes
object

Custom attributes and fields

Example:
knowledge_engine_id
string

ID of the knowledge engine this data source belongs to

Example:

"kng_abc123xyz789"

created_at
integer<int64>

Unix timestamp when this entity was created

Example:

1679644800